Adding option to disable activation mail for users created via email unknown_user=create
Status: Closed Start date: 2011-03-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Adding an option to disable the mail send out to new users that is picked up by the mail_hander would be a really nice feature

File: app/models/mail_handler.rb

when 'create'

        @user = MailHandler.create_user_from_email(email)

        if @user

          logger.info "MailHandler: [#{@user.login}] account created" if logger && logger.info

#          Mailer.deliver_account_information(@user, @user.password)

        else

 Quick solution is just to comment out line 67 (fix kindly provided by Jason B) but an option would be really nice :)

Related issues:

Is duplicate of Redmine - Feature #11498: Add --no-account-notice option for ... Closed

History

#1 - 2011-03-24 08:27 - Toshi MARUYAMA

- Category set to Email notifications

#2 - 2014-07-16 13:21 - Marco Descher

+1

#3 - 2018-02-03 03:58 - Mischa The Evil

- Is duplicate of Feature #11498: Add --no-account-notice option for the mail handler script added

#4 - 2018-02-03 03:59 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

This has long been implemented (via #11498 for 2.3.0) as the --no-account-notice option. Closing this issue as such, in favour of #11498.
